Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Enum cmdEJournal.EjDocTypePrn

java.lang.Object
java.lang.Enum<cmdEJournal.EjDocTypePrn>
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdEJournal.EjDocTypePrn

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdEJournal.EjDocTypePrn>`, `java.lang.constant.Constable`

Enclosing class:
  cmdEJournal

    public static enum cmdEJournal.EjDocTypePrn
    extends java.lang.Enum<cmdEJournal.EjDocTypePrn>

DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550 A All document types. F Fiscal (customer) receipts. V Refund (storno) receipts. C Cancelled (customer) receipts. N Service receipts. I Service deposit receipts. O Service withdrawal receipts. R Service receipts with 90-degree rotated printing. S Service operation receipts. P Reports (only date/time and receipt number information) X X-reports. Z Z-reports

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `all_types` |
  `anulated_receipts` |
  `cash_in_receipts` |
  `cash_out_receipts` |
  `daily_xreports` |
  `daily_zreports` |
  `fiscal_receipts` |
  `nonfiscal_receipts` |
  `nonfiscal_receipts90` |
  `reports_short` |
  `service_receipts` |
  `storno_receipts` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdEJournal.EjDocTypePrn` | `fromOrdinal​(int n)` |
  `java.lang.String` | `getId()` |
  `static cmdEJournal.EjDocTypePrn` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdEJournal.EjDocTypePrn[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### all_types

    public static final cmdEJournal.EjDocTypePrn all_types

  - ### fiscal_receipts

    public static final cmdEJournal.EjDocTypePrn fiscal_receipts

  - ### storno_receipts

    public static final cmdEJournal.EjDocTypePrn storno_receipts

  - ### anulated_receipts

    public static final cmdEJournal.EjDocTypePrn anulated_receipts

  - ### nonfiscal_receipts

    public static final cmdEJournal.EjDocTypePrn nonfiscal_receipts

  - ### cash_in_receipts

    public static final cmdEJournal.EjDocTypePrn cash_in_receipts

  - ### cash_out_receipts

    public static final cmdEJournal.EjDocTypePrn cash_out_receipts

  - ### nonfiscal_receipts90

    public static final cmdEJournal.EjDocTypePrn nonfiscal_receipts90

  - ### service_receipts

    public static final cmdEJournal.EjDocTypePrn service_receipts

  - ### reports_short

    public static final cmdEJournal.EjDocTypePrn reports_short

  - ### daily_xreports

    public static final cmdEJournal.EjDocTypePrn daily_xreports

  - ### daily_zreports

    public static final cmdEJournal.EjDocTypePrn daily_zreports

- ## Method Details

  - ### values

    public static cmdEJournal.EjDocTypePrn[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdEJournal.EjDocTypePrn valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public java.lang.String getId()

  - ### fromOrdinal

    public static cmdEJournal.EjDocTypePrn fromOrdinal​(int n)